# example(dotchart)

# Dotchart1()
aa <- c(1,2,2,2,3,3,4)
table(aa)
dotchart(table(aa))
#
dotchart(table(aa), ylab="Numbers")
old.par <- par(mar=c(10,10,1,1)); dotchart(table(aa), ylab="Numbers") ; par(old.par)
plot(table(aa), ylab="Numbers")
old.par <- par(mar=c(10,10,1,1)); plot(table(aa), ylab="Numbers") ; par(old.par)
#
source("http://ashipunov.info/r/asmisc.r")
Dotchart1(table(aa))
Dotchart1(table(aa), ylab="Numbers")
old.par <- par(mar=c(10,10,1,1)); Dotchart1(table(aa), ylab="Numbers") ; par(old.par)

# Trimmed mean
salary <- c(21, 19, 27, 11, 102, 25, 21)
mean(salary)
median(salary)
mean(salary, trim=0.2)

# Mode
d <- read.table("http://ashipunov.info/data/d.txt", h=T)
d$size <- ordered(d$size, levels=c("S", "M", "L", "XL", "XXL"))
d
table(d$sex)
which.max(table(d$sex))
levels(d$sex)[which.max(table(d$sex))]
levels(d$size)[which.max(table(d$size))]
with(d, levels(size)[which.max(table(size))])
attach(d)
levels(size)[which.max(table(size))]
detach(d)
# levels(size)[which.max(table(size))] mistake!

# sapply() with third option
sapply(d[, 1:2], median)
dd <- d[, 1:2]
dd[2,2] <- NA 
sapply(dd[, 1:2], median)
median(dd[,2], na.rm=T)
sapply(dd[, 1:2], median, na.rm=T)

# str() and summary() against the dirty data
ee <- read.table("http://ashipunov.info/data/errors.txt", h=T, sep="\t")
ee
str(ee)
summary(ee)

# confidence intervals
wilcox.test(salary, conf.int=T)
t.test(salary)
wilcox.test(salary, conf.int=T, mu=median(salary))
salary.ttest <- t.test(salary)

# how to extract test results
str(salary.ttest)
salary.ttest$conf.int
t.test(salary)$conf.int
wilcox.test(salary, conf.int=T)$conf.int
