# exponential forms and scipen option
t.test(trees$Height)
old.options <- options(scipen=100)
t.test(trees$Height)
options(old.options)

# normality tests
shapiro.test(trees$Height)

# first function
Sum <- function(a, b) {}
Sum(2,3)
# fix(Sum) # interactive!
Sum <- function(a, b) 
{
a + b
}
Sum(2, 3)
Sum <- function(apple, banana) 
{
apple + banana
}
Sum(2, 3)

# anonymous function
sapply(trees, function(.x) {sqrt(.x)+1})
sapply(trees, function(.x) {wilcox.test(.x, conf.int=T)$conf.int})

# suppress warnings
old.options <- options(warn=-1)
sapply(trees, function(.x) {wilcox.test(.x, conf.int=T)$conf.int})
options(old.options)

# Normality() function
qqnorm(trees$Height) ; qqline(trees$Height)
shapiro.test(trees$Height)
shapiro.test(rnorm(200))
shapiro.test(runif(200))
old.options <- options(scipen=100)
shapiro.test(runif(200))
source("http://ashipunov.info/r/asmisc.r")
Normality
ifelse(3 > 2, "yes", "no")
#
sapply(trees, Normality)
sapply(log(trees + 0.001), Normality)
sapply(sqrt(trees), Normality)

# coefficient of variation (CV)
mean(trees$Height)
sd(trees$Height)
(6.4/76)*100
CV <- function(a){}
# fix(CV) # interactive!
CV <- function(a) 
{
100 * sd(a)/mean(a)
}
CV(trees$Height)
sapply(trees, CV)
round(sapply(trees, CV), 1)
