source("http://ashipunov.info/r/asmisc.r")

bpress <- read.table("http://ashipunov.info/data/bpress.txt", head=T)
bpress
boxplot(bpress)
with(bpress, t.test((PLACEBO.10-PLACEBO.1), (DRUG.10-DRUG.1)))

placebo.d <- bpress$PLACEBO.10 - bpress$PLACEBO.1
drug.d <- bpress$DRUG.10 - bpress$DRUG.1
t.test(placebo.d, drug.d, alt="greater")
t.test(placebo.d, drug.d, var.equal=T)

v1 <- var(placebo.d)
v2 <- var(drug.d)
(tt <- (mean(placebo.d) - mean(drug.d))/sqrt(v1/5 + v2/5))
(pp <- 2*pt(-abs(tt), 6.7586))

bpress
data.frame(placebo.d, drug.d)
long <- stack(data.frame(placebo.d, drug.d))
t.test(values ~ ind, data=long)
t.test(placebo.d, drug.d)
long
boxplot(values ~ ind, data=long)
boxplot(placebo.d, drug.d)

str(beaver2)
summary(beaver2)
tapply(beaver2$temp, beaver2$activ, Normality)
boxplot(temp ~ activ, data=beaver2)
t.test(temp ~ activ, data=beaver2)

str(sleep)
head(sleep)
boxplot(extra ~ group, data=sleep)
tapply(sleep$extra, sleep$group, Normality)
t.test(extra ~ group, data=sleep, paired=T)

ph <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/phaseolus.txt", h=T)
with(ph, t.test((CONTROL.2 - CONTROL.1), (EXPER.2 - EXPER.1), paired=T))
with(ph, t.test((CONTROL.2 - CONTROL.1) - (EXPER.2 - EXPER.1)))

str(ToothGrowth)
head(ToothGrowth)
boxplot(len ~ supp, data=ToothGrowth)
tapply(ToothGrowth$len, ToothGrowth$supp, Normality)
wilcox.test(len ~ supp, data=ToothGrowth)

wilcox.test(1:10, 1:10+0.001, paired=T)
wilcox.test(1:10, 1:10+0.0001, paired=T)
# install.packages("effsize")
