head(ChickWeight)
summary(ChickWeight)
## ?ChickWeight
w0 <- with(ChickWeight, weight[Time == 0])
w2 <- with(ChickWeight, weight[Time == 2])
source("http://ashipunov.info/r/asmisc.r")
Normality(w0)
Normality(w2)
boxplot(w0, w2)
wilcox.test(w0, w2, alt="less", paired=T)
library(effsize)
cliff.delta(w0, w2)

head(CO2)
## ?CO2
with(CO2, tapply(uptake, Type, Normality))
CQ <- with(CO2, uptake[Type == "Quebec"])
CM <- with(CO2, uptake[Type == "Mississippi"])
wilcox.test(CQ, CM)
cliff.delta(CQ, CM)
boxplot(CQ, CM)

head(airquality)
summary(airquality)
a58 <- airquality[airquality$Month %in% c(5, 8),]
summary(a58)
tapply(a58$Ozone, a58$Month, Normality)
wilcox.test(Ozone ~ Month, data=a58)
cliff.delta(Ozone ~ Month, data=a58)
boxplot(Ozone ~ Month, data=a58)
boxplot(Ozone ~ Month, data=a58, notch=T)

ar <- read.table("http://ashipunov.info/data/argon.txt")
ar
mm <- colMeans(unstack(ar, form=V2 ~ V1), na.rm=T)
barplot(mm)
boxplot(V2 ~ V1, data=ar)
tapply(ar$V2, ar$V1, Normality)
wilcox.test(V2 ~ V1, data=ar)
cliff.delta(V2 ~ V1, data=ar)
wilcox.test(w0, w2, alt="less", paired=T)

ph <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/phaseolus.txt", h=T)
with(ph, cohen.d((CONTROL.2 - CONTROL.1), (EXPER.2 - EXPER.1)))

ph.K <- with(ph, K((CONTROL.2 - CONTROL.1), (EXPER.2 - EXPER.1)))
summary(ph.K)
