hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
hwc2 <- read.table("http://ashipunov.info/data/hwc2.txt", h=TRUE)
hwc3 <- read.table("http://ashipunov.info/data/hwc3.txt", h=TRUE)

str(hwc)
str(hwc2)
str(hwc3)

boxplot(WEIGHT ~ COLOR, data=hwc)
dev.new()
boxplot(WEIGHT ~ COLOR, data=hwc2)
dev.new()
boxplot(WEIGHT ~ COLOR, data=hwc3)

source("http://ashipunov.info/r/asmisc.r")

Normality(hwc$WEIGHT)
Normality(hwc2$WEIGHT)
Normality(hwc3$WEIGHT)

bartlett.test(WEIGHT ~ COLOR, data=hwc)
bartlett.test(WEIGHT ~ COLOR, data=hwc2)

tapply(hwc$WEIGHT, hwc$COLOR, var)
tapply(hwc2$WEIGHT, hwc2$COLOR, var)

hwc.aov <- aov(WEIGHT ~ COLOR, data=hwc)
summary(hwc.aov)
TukeyHSD(hwc.aov)

oneway.test(WEIGHT ~ COLOR, data=hwc2)
boxplot(WEIGHT ~ COLOR, data=hwc2)
with(hwc2, pairwise.t.test(WEIGHT, COLOR))

summary(K(hwc2$WEIGHT[hwc2$COLOR == "blond"], hwc2$WEIGHT[hwc2$COLOR == "black"]))
summary(K(hwc2$WEIGHT[hwc2$COLOR == "brown"], hwc2$WEIGHT[hwc2$COLOR == "black"]))

kruskal.test(WEIGHT ~ COLOR, data=hwc3)

## install.packages("dunn.test")
library("dunn.test")
with(hwc3, dunn.test(WEIGHT, COLOR, method="holm", altp=TRUE))
