ipo <- read.table("http://ashipunov.info/data/ipomopsis.txt", h=T)
source("http://ashipunov.info/r/asmisc.r")
Str(ipo)
ipo.lm <- lm(Fruit ~ Root * Grazing, data=ipo)
summary(ipo.lm)
AIC(ipo.lm)

ipo.lm1 <- update(ipo.lm, . ~ . - Root:Grazing)
summary(ipo.lm1)
AIC(ipo.lm1)

### ===================================

#hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
#str(hwc)
#hwc.aov <- aov(WEIGHT ~ COLOR, data=hwc)
#hwc.lm <- lm(WEIGHT ~ COLOR, data=hwc)
#summary(hwc.aov)
#summary(hwc.lm)
#plot(WEIGHT ~ COLOR, data=hwc)
#plot(hwc.lm)

### ===================================

#lo <- read.table("http://ashipunov.info/data/logit.txt")
#str(lo)
#lo.logit <- glm(V2 ~ V1, family=binomial, data=lo)
#glm(V2 ~ V1, family=binomial, data=lo)
#lo.logit <- glm(V2 ~ V1, family=binomial, data=lo)
#summary(lo.logit)

#new.points <- seq(min(lo$V1), max(lo$V1), length.out=14)
#predicted.points <- predict(lo.logit, list(V1=new.points), type="response")
#success <- as.numeric(lo$V2) - 1
#plot(success ~ V1, data=lo)
#lines(new.points, predicted.points)

#tox <- read.table("http://ashipunov.info/data/poisoning.txt", h=T)
#str(tox)
#tox.logit <- glm(I(2-ILL) ~ CAESAR + TOMATO, family=binomial, data=tox)
#tox.logit2 <- update(tox.logit, . ~ . - TOMATO)
#tox.logit3 <- update(tox.logit, . ~ . - CAESAR)
#tox.logit$aic
#tox.logit2$aic
#tox.logit3$aic

### ===================================
### ===================================
### ===================================

eq8 <- read.table("http://ashipunov.info/data/eq8.txt", h=TRUE)
Str(eq8)
ee <- aggregate(eq8[, 2:9], list(SP=eq8[, 1]), median, na.rm=T)
row.names(ee) <- ee$SP
ee$SP <- NULL
Str(ee)
stars(ee)

## install.packages("TeachingDemos")
library(TeachingDemos)
faces(ee)

Str(iris)
image(scale(iris[, -5]))
image(scale(eq8[, -1]))

library(MASS)
parcoord(iris[, -5])
parcoord(iris[, -5], col=rep(1:3, table(iris[, 5])))
parcoord(eq8[, -1], col=rep(1:8, table(eq8[, 1])))

Boxplots(iris[, -5], iris[, 5])
Linechart(iris[, -5], iris[, 5])

library(lattice)
ees <- stack(as.data.frame(scale(ee)))
ees$SPECIES <- row.names(ee)
head(ees)
dotplot(SPECIES ~ values | ind, data=ees)
dotplot(ind ~ values | SPECIES, data=ees)
