## url.show("http://ashipunov.info/data/traits_c.txt")
## dir("data")
## file.show("data/traits18.txt")
t18 <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/traits18.txt", h=T, row.names=1)
str(t18)
head(t18)

t18.d <- dist(t18, method="binary")
t18.d
plot(hclust(t18.d))
plot(hclust(t18.d, method="ward.D"))

t18.dc <- cmdscale(t18.d)
plot(t18.dc)
plot(t18.dc, pch=row.names(t18)) # possible, but only works with one-letter labels
plot(t18.dc, type="n")
text(t18.dc, labels=row.names(t18))
## t18.p <- princomp(t18) # here does not work
t18.p <- prcomp(t18)
t18.pp <- t18.p$x[, 1:2]
plot(t18.pp, type="n")
text(t18.pp, labels=row.names(t18))

## install.packages("randomForest")
library(randomForest)
iris.train <- iris[seq(1, nrow(iris), 5),]
iris.unknown <- iris[-seq(1, nrow(iris), 5),]
set.seed(17)
iris.rf <- randomForest(Species ~ ., data=iris.train)
iris.rfp <- predict(iris.rf, iris.unknown[, -5])
head(iris.rfp)
source("http://ashipunov.info/r/asmisc.r")
Misclass(iris.rfp, iris.unknown[, 5])
