# Logarithmic scale
plot(1:100, log(1:100))
plot(log(1:100), log(1:100))
plot(1:100, log(1:100), log="x") # this is an alternative way
islands <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/islets.txt", h=T)
str(islands)
square <- islands[,1] * islands[, 2] * 0.36
plot(islands[,3], square)
plot(square, islands[,3])
plot(islands[,3] ~ square)
lines(loess.smooth(square, islands[,3]))
plot(log(square), islands[,3])
lines(loess.smooth(log(square), islands[,3]))
lakes <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/wslakes.txt", h=T)
str(lakes)
squarel <- lakes[,1] * lakes[,2]
plot(squarel, lakes[,3])
plot(log(squarel), lakes[,3])
lines(loess.smooth(log(squarel), lakes[,3]))

# Matrices
matrix(1:9, ncol=3)
mm <- 1:8
is.matrix(mm)
is.vector(mm)
mm
attr(mm, "dim") <- c(4,2)
mm
attr(mm, "dim") <- c(2,4)
mm
matrix(1:9, ncol=3)
matrix(1:9, ncol=3, byrow=T)
mm
t(mm)
mm
# ?"["
# mm[3,2] mistake!
mm[2,3]
mm[2,]
mm[,]
mm
mm[3]

# Lists
list(name="Alex", age=44, no.children=2, sex="male")
list(name="Alex", age=NA, no.children=2, sex="male")
alex <- list(name="Alex", age=NA, no.children=2, sex="male")
str(alex)
str(mm)
alex$name
islands$width
str(islands)

# Data frames
eggs <- read.table("http://ashipunov.info/data/eggs.txt")
str(eggs)
eggs$V3
eggs <- read.table("http://ashipunov.info/data/eggs.txt", as.is=T)
str(eggs)
eggs[2,3]
eggs[2,]
lakes[,3]
lakes$species
dd <- read.table("http://ashipunov.info/data/d.txt", h=T)
str(dd)
dd[,2]
dd$height
dd[,"height"]
dd["height"]
alex
alex[1]
alex$name
str(alex[1])
str(alex$name)
alex[[1]]
dd["height"]
str(dd["height"])
dd[["height"]]
dd[,"height"]
dd[,2]
mm[3]
mm[[3]]
dd
dd[,1:2]
dd[,c(1,2)]
dd[,c(1,3)]
dd
dd[c("Peter","Alex"),]
dd[3:4,]
dd[c(3,4),]
dd[c(3,4),3]
dd[["size"]][3:4]
dd
dd$height
dd$height > 170
dd$height[dd$height > 170]
dd[dd$height > 170,]
