head(trees)
attach(trees)
cor(Girth, Volume)
detach(trees)

cor(trees)
with(trees, cor.test(Girth, Volume))

with(trees, cor(Girth, Volume))
with(trees, cor(Girth, Volume, method="s"))
with(trees, cor(Girth, Volume, method="k"))
cor(trees, method="s")
with(trees, cor.test(Girth, Volume, nmethod="s"))
with(trees, cor.test(Girth, Volume, method="s"))
with(trees, cor.test(Girth, Volume, nmethod="s"))

mean(trees$Volume)
mean(trees$Volume, trim=.1)
mean(trees$Volume, trim=.1)
mean(trees$Volume, trimm=.1)
## IQR(trees$Volume, trimm=.1) # error -- this is helpful
IQR(trees$Volume)

with(trees, cor(Girth, Volume))
with(trees, plot(Girth, Volume))

cor(trees)
pairs(cor(trees))
## install.packages("ellipse")
library(ellipse)
plotcorr(cor(trees))

source("http://ashipunov.info/r/asmisc.r")
Pleiad(cor(trees), cor=T)

tox <- read.table("http://ashipunov.info/data/poisoning.txt", h=TRUE)
Pleiad(cor(tox, method="s"), cor=T)
plotcorr(cor(tox, method="s"))

apply(cor(trees), 1:2, function(.x) Mag(.x, squared=F))
aa <- apply(cor(trees), 1:2, function(.x) Mag(.x, squared=F))
aa[upper.tri(aa, diag=T)] <- "-"
noquote(aa)

bb <- apply(cor(tox, method="s"), 1:2, function(.x) Mag(.x, squared=F))
bb[upper.tri(bb, diag=T)] <- "-"
noquote(bb)

women
## ?women
plot(women)
cor(women)
lm(weight ~ height, data=women)
women.lm <- lm(weight ~ height, data=women)
summary(women.lm)
0.9954948^2
Mag(0.9903)
plot(women.lm)
plot(women.lm, which=1) # only one from 4 sequential plots
