eq8 <- read.table("http://ashipunov.info/data/eq8.txt", h=T)
str(eq8)
eq8.p <- princomp(scale(na.omit(eq8[, -1])))
eq8.pca <- princomp(scale(na.omit(eq8[, -1])))
plot(eq8.pca)
summary(eq8.pca)

eq8.p <- eq8.pca$scores[, 1:2]

plot(eq8.p, type="n")
eq8o <- na.omit(eq8)
text(eq8.p, labels=abbreviate(eq8o[, 1], 2))

eq8.pca$loadings

nd <- read.table("http://ashipunov.info/data/nd.txt", h=T, sep="\t", row.names=1)
nd
nd.d <- as.dist(nd)
nd.c <- cmdscale(nd.d)
str(nd.c)
head(nd.c)
plot(nd.c, type="n")
text(nd.c, labels=row.names(nd))

eq8.d <- dist(scale(na.omit(eq8[, -1])))
eq8.c <- cmdscale(eq8.d)
plot(eq8.c, type="n")
text(eq8.c, labels=abbreviate(eq8o[, 1], 2))

plot(hclust(nd.d))
